Compliance
GDPR data export, erasure, consent, and data residency
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/compliance/data-export" \ -H "Content-Type: application/json" \ -d '{ "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5" }'{}{
"error": "string"
}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/compliance/data-erasure" \ -H "Content-Type: application/json" \ -d '{ "mode": "user" }'{}{
"error": "string"
}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/compliance/consent?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{}{
"error": "string"
}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/compliance/consent" \ -H "Content-Type: application/json" \ -d '{}'{}{
"error": "string"
}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/api/compliance/residency"{}{
"error": "string"
}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/compliance/residency" \ -H "Content-Type: application/json" \ -d '{}'{}{
"error": "string"
}